<?php

namespace Pure\Career;

use DB;
use Illuminate\Database\Seeder;

class CareerApplicationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('career_applications')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'career.career_application.view',
                'name'      => 'View CareerApplication',
            ],
            [
                'slug'      => 'career.career_application.create',
                'name'      => 'Create CareerApplication',
            ],
            [
                'slug'      => 'career.career_application.edit',
                'name'      => 'Update CareerApplication',
            ],
            [
                'slug'      => 'career.career_application.delete',
                'name'      => 'Delete CareerApplication',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'career.career_application.verify',
                'name'      => 'Verify CareerApplication',
            ],
            [
                'slug'      => 'career.career_application.approve',
                'name'      => 'Approve CareerApplication',
            ],
            [
                'slug'      => 'career.career_application.publish',
                'name'      => 'Publish CareerApplication',
            ],
            [
                'slug'      => 'career.career_application.unpublish',
                'name'      => 'Unpublish CareerApplication',
            ],
            [
                'slug'      => 'career.career_application.cancel',
                'name'      => 'Cancel CareerApplication',
            ],
            [
                'slug'      => 'career.career_application.archive',
                'name'      => 'Archive CareerApplication',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/career/career_application',
                'name'        => 'CareerApplication',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/career/career_application',
                'name'        => 'CareerApplication',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'career_application',
                'name'        => 'CareerApplication',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Career',
                'module'    => 'CareerApplication',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'career.career_application.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
