<?php

namespace Pure\Career;

use DB;
use Illuminate\Database\Seeder;

class CareerJobTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('career_jobs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'career.career_job.view',
                'name'      => 'View CareerJob',
            ],
            [
                'slug'      => 'career.career_job.create',
                'name'      => 'Create CareerJob',
            ],
            [
                'slug'      => 'career.career_job.edit',
                'name'      => 'Update CareerJob',
            ],
            [
                'slug'      => 'career.career_job.delete',
                'name'      => 'Delete CareerJob',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'career.career_job.verify',
                'name'      => 'Verify CareerJob',
            ],
            [
                'slug'      => 'career.career_job.approve',
                'name'      => 'Approve CareerJob',
            ],
            [
                'slug'      => 'career.career_job.publish',
                'name'      => 'Publish CareerJob',
            ],
            [
                'slug'      => 'career.career_job.unpublish',
                'name'      => 'Unpublish CareerJob',
            ],
            [
                'slug'      => 'career.career_job.cancel',
                'name'      => 'Cancel CareerJob',
            ],
            [
                'slug'      => 'career.career_job.archive',
                'name'      => 'Archive CareerJob',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/career/career_job',
                'name'        => 'CareerJob',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/career/career_job',
                'name'        => 'CareerJob',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'career_job',
                'name'        => 'CareerJob',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Career',
                'module'    => 'CareerJob',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'career.career_job.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
