<?php

namespace Pure\Career;

use DB;
use Illuminate\Database\Seeder;

class CareerMetaTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('career_metas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'career.career_meta.view',
                'name'      => 'View CareerMeta',
            ],
            [
                'slug'      => 'career.career_meta.create',
                'name'      => 'Create CareerMeta',
            ],
            [
                'slug'      => 'career.career_meta.edit',
                'name'      => 'Update CareerMeta',
            ],
            [
                'slug'      => 'career.career_meta.delete',
                'name'      => 'Delete CareerMeta',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'career.career_meta.verify',
                'name'      => 'Verify CareerMeta',
            ],
            [
                'slug'      => 'career.career_meta.approve',
                'name'      => 'Approve CareerMeta',
            ],
            [
                'slug'      => 'career.career_meta.publish',
                'name'      => 'Publish CareerMeta',
            ],
            [
                'slug'      => 'career.career_meta.unpublish',
                'name'      => 'Unpublish CareerMeta',
            ],
            [
                'slug'      => 'career.career_meta.cancel',
                'name'      => 'Cancel CareerMeta',
            ],
            [
                'slug'      => 'career.career_meta.archive',
                'name'      => 'Archive CareerMeta',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/career/career_meta',
                'name'        => 'CareerMeta',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/career/career_meta',
                'name'        => 'CareerMeta',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'career_meta',
                'name'        => 'CareerMeta',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Career',
                'module'    => 'CareerMeta',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'career.career_meta.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
