<?php

namespace Pure\Career\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind CareerJob policy
        'Pure\Career\Models\CareerJob' => \Pure\Career\Policies\CareerJobPolicy::class,// Bind CareerCategory policy
        'Pure\Career\Models\CareerCategory' => \Pure\Career\Policies\CareerCategoryPolicy::class,// Bind CareerApplication policy
        'Pure\Career\Models\CareerApplication' => \Pure\Career\Policies\CareerApplicationPolicy::class,// Bind CareerMeta policy
        'Pure\Career\Models\CareerMeta' => \Pure\Career\Policies\CareerMetaPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
