<?php

namespace Pure\Career\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareerCategoryTransformer extends TransformerAbstract
{
    public function transform(\Pure\Career\Models\CareerCategory $career_category)
    {
        return [
            'id'                => $career_category->getRouteKey(),
            'key'               => [
                'public'    => $career_category->getPublicKey(),
                'route'     => $career_category->getRouteKey(),
            ], 
            'id'                => $career_category->id,
            'name'              => $career_category->name,
            'slug'              => $career_category->slug,
            'parent_id'         => $career_category->parent_id,
            'created_at'        => $career_category->created_at,
            'updated_at'        => $career_category->updated_at,
            'deleted_at'        => $career_category->deleted_at,
            'url'               => [
                'public'    => trans_url('career/'.$career_category->getPublicKey()),
                'user'      => guard_url('career/career_category/'.$career_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$career_category->status),
            'created_at'        => format_date($career_category->created_at),
            'updated_at'        => format_date($career_category->updated_at),
        ];
    }
}