<?php

namespace Pure\Career\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareerJobTransformer extends TransformerAbstract
{
    public function transform(\Pure\Career\Models\CareerJob $career_job)
    {
        return [
            'id'                => $career_job->getRouteKey(),
            'key'               => [
                'public'    => $career_job->getPublicKey(),
                'route'     => $career_job->getRouteKey(),
            ], 
            'id'                => $career_job->id,
            'title'             => $career_job->title,
            'description'       => $career_job->description,
            'type'              => $career_job->type,
            'location'          => $career_job->location,
            'responsibilities'  => $career_job->responsibilities,
            'qualifications'    => $career_job->qualifications,
            'benefits'          => $career_job->benefits,
            'slug'              => $career_job->slug,
            'salary'            => $career_job->salary,
            'creator_id'        => $career_job->creator_id,
            'expired_at'        => $career_job->expired_at,
            'started_at'        => $career_job->started_at,
            'created_at'        => $career_job->created_at,
            'updated_at'        => $career_job->updated_at,
            'deleted_at'        => $career_job->deleted_at,
            'url'               => [
                'public'    => trans_url('career/'.$career_job->getPublicKey()),
                'user'      => guard_url('career/career_job/'.$career_job->getRouteKey()),
            ], 
            'status'            => trans('app.'.$career_job->status),
            'created_at'        => format_date($career_job->created_at),
            'updated_at'        => format_date($career_job->updated_at),
        ];
    }
}