<?php

namespace Pure\Career\Workflow;

use Pure\Career\Models\CareerCategory;
use Pure\Career\Notifications\CareerCategoryWorkflow as CareerCategoryNotifyer;
use Notification;

class CareerCategoryNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param CareerCategory $career_category
     *
     * @return void
     */
    public function complete(CareerCategory $career_category)
    {
        return Notification::send($career_category->user, new CareerCategoryNotifyer($career_category, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param CareerCategory $career_category
     *
     * @return void
     */
    public function verify(CareerCategory $career_category)
    {
        return Notification::send($career_category->user, new CareerCategoryNotifyer($career_category, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param CareerCategory $career_category
     *
     * @return void
     */
    public function approve(CareerCategory $career_category)
    {
        return Notification::send($career_category->user, new CareerCategoryNotifyer($career_category, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param CareerCategory $career_category
     *
     * @return void
     */
    public function publish(CareerCategory $career_category)
    {
        return Notification::send($career_category->user, new CareerCategoryNotifyer($career_category, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param CareerCategory $career_category
     *
     * @return void
     */
    public function archive(CareerCategory $career_category)
    {
        return Notification::send($career_category->user, new CareerCategoryNotifyer($career_category, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param CareerCategory $career_category
     *
     * @return void
     */
    public function unpublish(CareerCategory $career_category)
    {
        return Notification::send($career_category->user, new CareerCategoryNotifyer($career_category, 'unpublish'));;

    }
}
