<?php

namespace Pure\Career\Workflow;

use Pure\Career\Models\CareerJob;
use Pure\Career\Notifications\CareerJobWorkflow as CareerJobNotifyer;
use Notification;

class CareerJobNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param CareerJob $career_job
     *
     * @return void
     */
    public function complete(CareerJob $career_job)
    {
        return Notification::send($career_job->user, new CareerJobNotifyer($career_job, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param CareerJob $career_job
     *
     * @return void
     */
    public function verify(CareerJob $career_job)
    {
        return Notification::send($career_job->user, new CareerJobNotifyer($career_job, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param CareerJob $career_job
     *
     * @return void
     */
    public function approve(CareerJob $career_job)
    {
        return Notification::send($career_job->user, new CareerJobNotifyer($career_job, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param CareerJob $career_job
     *
     * @return void
     */
    public function publish(CareerJob $career_job)
    {
        return Notification::send($career_job->user, new CareerJobNotifyer($career_job, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param CareerJob $career_job
     *
     * @return void
     */
    public function archive(CareerJob $career_job)
    {
        return Notification::send($career_job->user, new CareerJobNotifyer($career_job, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param CareerJob $career_job
     *
     * @return void
     */
    public function unpublish(CareerJob $career_job)
    {
        return Notification::send($career_job->user, new CareerJobNotifyer($career_job, 'unpublish'));;

    }
}
