<?php

namespace Pure\Career\Workflow;

use Pure\Career\Models\CareerMeta;
use Pure\Career\Notifications\CareerMetaWorkflow as CareerMetaNotifyer;
use Notification;

class CareerMetaNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param CareerMeta $career_meta
     *
     * @return void
     */
    public function complete(CareerMeta $career_meta)
    {
        return Notification::send($career_meta->user, new CareerMetaNotifyer($career_meta, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param CareerMeta $career_meta
     *
     * @return void
     */
    public function verify(CareerMeta $career_meta)
    {
        return Notification::send($career_meta->user, new CareerMetaNotifyer($career_meta, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param CareerMeta $career_meta
     *
     * @return void
     */
    public function approve(CareerMeta $career_meta)
    {
        return Notification::send($career_meta->user, new CareerMetaNotifyer($career_meta, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param CareerMeta $career_meta
     *
     * @return void
     */
    public function publish(CareerMeta $career_meta)
    {
        return Notification::send($career_meta->user, new CareerMetaNotifyer($career_meta, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param CareerMeta $career_meta
     *
     * @return void
     */
    public function archive(CareerMeta $career_meta)
    {
        return Notification::send($career_meta->user, new CareerMetaNotifyer($career_meta, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param CareerMeta $career_meta
     *
     * @return void
     */
    public function unpublish(CareerMeta $career_meta)
    {
        return Notification::send($career_meta->user, new CareerMetaNotifyer($career_meta, 'unpublish'));;

    }
}
